Item Set Index
Get all item sets.
Query Parameters
- Type: stringpagemin length:1
page offset to display a range of records from
- Type: stringper
_page min length:1maximum number of records to return in the search
- Type: stringsearch
_text search for records containing the text
- Type: stringenumsort
_by order the returned records by a specified field
values- id
- name
- number
- created
_at
- Type: stringenumorder
sort the records in either ascending (asc) or descending (desc) order
values- asc
- desc
Headers
- Type: stringContent
- Type application/json
Responses
- application/json
- 401
Unauthorized
- application/json
Request Example for get/item_sets
curl '/item_sets?page=1&per_page=5000&search_text=&sort_by=id&order=asc' \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: YOUR_SECRET_TOKEN'
{
"page": 1,
"per_page": 1,
"total_entries": 1,
"total_pages": 1,
"item_sets": [
{
"item_set": {
"name": "string",
"merchant_id": null,
"manufacturer_id": null,
"manufacturer_name": null,
"item_ids": [
{}
],
"set_type": "item",
"child_item_sets": [
{
"item_set_id": 1,
"required_quantity": 1,
"price_selection_mode": "most_expensive",
"max_discount": 1,
"created_at": "string",
"updated_at": "string"
}
]
},
"errors": {}
}
]
}